## a52dec a52dec — Decodes ATSC A/52 encoded audio streams |

## Synopsis

    struct              GstA52Dec;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstAudioDecoder
                               +----GstA52Dec

## Properties

      "drc"                      gboolean              : Read / Write
      "lfe"                      gboolean              : Read / Write
      "mode"                     GstA52DecMode         : Read / Write

## Description

## Synopsis

### Element Information

plugin | a52dec
author | David I. Lehn <dlehn@users.sourceforge.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-ac3
| audio/ac3
| audio/x-private1-ac3

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 4000, 96000 ], channels=(int)[ 1, 6 ]

## Details

### struct GstA52Dec

    struct GstA52Dec;

## Property Details

### The `"drc"` property

      "drc"                      gboolean              : Read / Write

Use Dynamic Range Compression.

Default value: FALSE

### The `"lfe"` property

      "lfe"                      gboolean              : Read / Write

LFE.

Default value: TRUE

### The `"mode"` property

      "mode"                     GstA52DecMode         : Read / Write

Decoding Mode (default 3f2r).

Default value: 3 Front, 2 Rear